Subject: [PATCH v2 0/8] thermal: ti-soc-thermal: Migrate slope/offset data to device tree

From: [email-masked] (Eduardo Valentin)
Date: Wed, 29 Mar 2017 21:46:19 -0700

On Thu, Mar 30, 2017 at 08:59:31AM +0530, Keerthy wrote:
> 
> 
> On Wednesday 29 March 2017 10:07 AM, Eduardo Valentin wrote:
> > Keerthy,
> > 
> > On Fri, Mar 24, 2017 at 07:26:10AM -0700, Tony Lindgren wrote:
> >> * Keerthy <[email-masked]> [170323 20:29]:
> >>>
> >>>
> >>> On Friday 24 March 2017 02:22 AM, Tony Lindgren wrote:
> >>>> * Keerthy <[email-masked]> [170321 20:45]:
> >>>>>
> >>>>>
> >>>>> On Thursday 09 March 2017 01:35 PM, Keerthy wrote:
> >>>>>> Currently the slope and offset values for calculating the
> >>>>>> hot spot temperature of a particular thermal zone is part
> >>>>>> of driver data. Pass them here instead and obtain the values
> >>>>>> while of node parsing.
> >>>>>>
> >>>>>> Tested for the slope and constant values on DRA7-EVM, OMAP3-BEAGLE. 
> > 
> > Have you tried on boards that need negative coefficients?
> > 
> > https://patchwork.kernel.org/patch/9619577/
> 
> Yes. I retrieved the negative values nicely in the driver passed via
> Device Tree.
> 
> > 
> >>>>>
> >>>>> Hi Eduardo,
> >>>>>
> >>>>> If the series looks okay could you please pull this?
> >>>>
> >>>> Also.. Are the dts changes safe for me to pick separately?
> >>>
> >>> Yes Tony they are safe to pulled separately.
> >>
> >> OK applying patches 1 - 5 of this series into omap-for-v4.12/dt-v2.
> > 
> > Keerthy,
> > 
> > The only thing I want you to confirm is if you are really getting the
> > negative coefficients, because currently of-thermal reads the array
> > using an OF helper that understands only unsigned. For this reason, I
> > will be queueing your patches only for next merge window, not as a fix,
> > not for rc's.
> 
> I am getting negative co-efficients.

OK. That is odd. Might be simply we get still converted after simply
assigning the unsigned to the int in the thermal device data struct.
Anyways, still not for rc, given the amount of changes in the driver.

> >> Thanks,
> >> Tony